Export BLOB/CLOB data to file

- « cubrid_lob_close

- cubrid_lob_get »

- PHP Manual
- CUBRID Functions
- Export BLOB/CLOB data to file

# cubrid_lob_export

(PECL CUBRID >= 8.3.1)

cubrid_lob_export — Export BLOB/CLOB data to file

### Description

cubrid_lob_export(resource `$conn_identifier`, resource `$lob_identifier`, string `$path_name`): bool

cubrid_lob_export() is used to get BLOB/CLOB data from CUBRID database, and saves its contents to a file. To use this function, you must use cubrid_lob_get() first to get BLOB/CLOB info from CUBRID.

### Parameters

`conn_identifier`

  Connection identifier.

`lob_identifier`

  LOB identifier.

`path_name`

  Path name of the file.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 cubrid_lob_export() example

    <?php$conn = cubrid_connect ("localhost", 33000, "demodb", "dba");cubrid_execute($conn,"DROP TABLE if exists doc");cubrid_execute($conn,"CREATE TABLE doc (id INT, doc_content CLOB)");cubrid_execute($conn,"INSERT INTO doc VALUES (5,'hello,cubrid')");$lobs = cubrid_lob_get($conn, "SELECT doc_content FROM doc WHERE id=5");echo "Doc size: ".cubrid_lob_size($lobs[0])." bytes";cubrid_lob_export($conn, $lobs[0], "doc_5.txt");cubrid_lob_close($lobs);cubrid_disconnect($conn);?>

### See Also

- cubrid_lob_get() - Get BLOB/CLOB data
- cubrid_lob_close() - Close BLOB/CLOB data
- cubrid_lob_size() - Get BLOB/CLOB data size
- cubrid_lob_send() - Read BLOB/CLOB data and send straight to browser